Subject: Re: Precompiled GLUT library.
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Alexander Siemers" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 9 Feb 1999 08:05:02 -0500

From: Alexander Siemers <[email-masked]>
Subject: Re: Precompiled GLUT library.

>First at all I wondered why I have to build a libglut.aif I want
>dynamic linking?? But I did it anyway using the instructions
>"Linking Against DLLs" from the Cygwin User's Guide:
>http://sourceware.cygnus.com/cygwin/cygwin-ug-net/dll.html#DLL-LINK
>
>I actually built both libglut.a and libglut32.a.
>The I tried to compile one of the GLUT test files:
>
>gcc -mwindows -DWIN32 -o test1.exe test1.c -lopengl32 -lglu32 -lglut32
>
>And I used -L and -I to point to the openGL/GLUT include and lib dirs.
>
>Is something wrong here? If not, why doesn't it work?

I did not understand exactly what happen when you compiled your test1.c?
Does it fail to compile?

You may consider downloading MesaGL 3.0 from
http://www.i21.com/~tjump.  There is a precompiled
Mesa 3.0 library available for Cygwin-B-20.1. It is a static library.

>
>> >I wonder if anybody managed to compile a GLUT program
>> >with cygwin using the precompiled DLL's from the net?
>> >I get problem with linking, none of the glut functions
>> >is found by the linker while OpenGL and GLU works fine.
>> >
>> >Any ideas?
>> >
>> >Alex...
>> >
>

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]